Goo::Canvas::ImageModel(3)

NAME
Goo::Canvas::ImageModel - wrapper for GooCanvasImageModel

HIERARCHY
  Glib::Object
  +----Goo::Canvas::ItemModelSimple
       +----Goo::Canvas::ImageModel

INTERFACES
  Goo::Canvas::ItemModel

METHODS

  itemmodel = Goo::Canvas::ImageModel->new ($parent, $pixbuf, $x, $y, ...)

•   $parent (Goo::Canvas::ItemModel)

•   $pixbuf ((unknown))

•   $x (double)

•   $y (double)

•   ... (list)

PROPERTIES

'height' (double : default 0 : readable / writable)
    The height of the image

'pattern' (Goo::Cairo::Pattern : default undef : readable / writable)
    The cairo pattern to paint

'pixbuf' (Gtk2::Gdk::Pixbuf : default undef : writable)
    The GdkPixbuf to display

'scale-to-fit' (boolean : default false : readable / writable)
    If the image is scaled to fit the width and height settings

'width' (double : default 0 : readable / writable)
    The width of the image

'x' (double : default 0 : readable / writable)
    The x coordinate of the image

'y' (double : default 0 : readable / writable)
    The y coordinate of the image

SEE ALSO
Glib::Object, Goo::Canvas::ItemModelSimple

COPYRIGHT
Copyright (C) 2017 Gtk2-Perl Team